Functions
Functions
BLE Services » Alert Notification Service (ANS) | BLE Services » Alert Notification Service Client (ANS_C) | BLE Services » HRS RSCS Relay Control Point Service (HRRCPS)
Collaboration diagram for Functions:

## Functions
sdk_err_t | ans_service_init (ans_init_t *p_ans_init)
| Initialize an Alert Notification Service instance and add to the DB. More...
sdk_err_t | ans_new_alert_send (uint8_t conn_idx, ans_new_alert_t *p_new_alert)
| Send New Alert if its notification has been enabled. More...
sdk_err_t | ans_unread_alert_send (uint8_t conn_idx, ans_unread_alert_t *p_unread_alert)
| Send Unread Alert Status if its notification has been enabled. More...
sdk_err_t | ans_client_init (ans_c_evt_handler_t evt_handler)
| Register ANS Client event handler. More...
sdk_err_t | ans_c_disc_srvc_start (uint8_t conn_idx)
| Discover Alert Notification Service on peer. More...
sdk_err_t | ans_c_new_alert_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer New Alert characteristic notify. More...
sdk_err_t | ans_c_unread_alert_notify_set (uint8_t conn_idx, bool is_enable)
| Enable or disable peer Unread Alert characteristic notify. More...
sdk_err_t | ans_c_sup_new_alert_cat_read (uint8_t conn_idx)
| Read Supported New Alert Category characteristic value. More...
sdk_err_t | ans_c_sup_unread_alert_cat_read (uint8_t conn_idx)
| Read Supported Unread Alert Category characteristic value. More...
sdk_err_t | ans_c_ctrl_point_set (uint8_t conn_idx, ans_c_ctrl_pt_t *p_ctrl_pt)
| Set Control Point characteristic value. More...
sdk_err_t | hrrcps_service_init (hrrcps_evt_handler_t evt_handler)
| Initialize an Alert Notification Service instance and add in the DB. More...
sdk_err_t | hrrcps_ctrl_pt_rsp_send (uint8_t conn_idx, hrrcps_rsp_val_t *p_rsp_val)
| Send Control Point Response if its indicaiton has been enabled. More...

## Detailed Description

## Function Documentation

## ◆ ans_c_ctrl_point_set()

sdk_err_t ans_c_ctrl_point_set | ( | uint8_t | conn_idx,
|  | ans_c_ctrl_pt_t * | p_ctrl_pt
| ) |  |

Set Control Point characteristic value.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | p_ctrl_pt | Pointer to control point.

Returns
  Operation result.

## ◆ ans_c_disc_srvc_start()

sdk_err_t ans_c_disc_srvc_start | ( | uint8_t | conn_idx | ) |

Discover Alert Notification Service on peer.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ ans_c_new_alert_notify_set()

sdk_err_t ans_c_new_alert_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer New Alert characteristic notify.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | True or false.

Returns
  Operation result.

## ◆ ans_c_sup_new_alert_cat_read()

sdk_err_t ans_c_sup_new_alert_cat_read | ( | uint8_t | conn_idx | ) |

Read Supported New Alert Category characteristic value.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ ans_c_sup_unread_alert_cat_read()

sdk_err_t ans_c_sup_unread_alert_cat_read | ( | uint8_t | conn_idx | ) |

Read Supported Unread Alert Category characteristic value.

Parameters

  [in] | conn_idx | Index of connection.

Returns
  Operation result.

## ◆ ans_c_unread_alert_notify_set()

sdk_err_t ans_c_unread_alert_notify_set | ( | uint8_t | conn_idx,
|  | bool | is_enable
| ) |  |

Enable or disable peer Unread Alert characteristic notify.

Parameters

  [in] | conn_idx | Index of connection.
  [in] | is_enable | True or false.

Returns
  Operation result.

## ◆ ans_client_init()

sdk_err_t ans_client_init | ( | ans_c_evt_handler_t | evt_handler | ) |

Register ANS Client event handler.

Parameters

  [in] | evt_handler | Alert Notification Service Client event handler.

Returns
  Result of initialization.

## ◆ ans_new_alert_send()

sdk_err_t ans_new_alert_send | ( | uint8_t | conn_idx,
|  | ans_new_alert_t * | p_new_alert
| ) |  |

Send New Alert if its notification has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_new_alert | Pointer to New Alert information.

Returns
  Result of notify value

## ◆ ans_service_init()

sdk_err_t ans_service_init | ( | ans_init_t * | p_ans_init | ) |

Initialize an Alert Notification Service instance and add to the DB.

Parameters

  [in] | p_ans_init | Pointer to ANS Service initialization variable.

Returns
  Result of service initialization.

## ◆ ans_unread_alert_send()

sdk_err_t ans_unread_alert_send | ( | uint8_t | conn_idx,
|  | ans_unread_alert_t * | p_unread_alert
| ) |  |

Send Unread Alert Status if its notification has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_unread_alert | Pointer to Unread Alert Status information.

Returns
  Result of notify value

## ◆ hrrcps_ctrl_pt_rsp_send()

sdk_err_t hrrcps_ctrl_pt_rsp_send | ( | uint8_t | conn_idx,
|  | hrrcps_rsp_val_t * | p_rsp_val
| ) |  |

Send Control Point Response if its indicaiton has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_rsp_val | Pointer to Response value.

Returns
  Result of indicate value

## ◆ hrrcps_service_init()

sdk_err_t hrrcps_service_init | ( | hrrcps_evt_handler_t | evt_handler | ) |

Initialize an Alert Notification Service instance and add in the DB.

Parameters

  [in] | evt_handler | HRS RSCS Relay Control Point Service event handler.

Returns
  Result of service initialization.